{pkgs, ...}: {
  environment.systemPackages = with pkgs; [
    neovim
    git
  ];

  environment.variables.EDITOR = "nvim";

  homebrew = {
    enable = true;

    onActivation = {
      autoUpdate = false;
      # 'zap': uninstalls all formulae(and related files) not listed here.
      cleanup = "zap";
    };

    # Applications to install from Mac App Store using mas.
    # You need to install all these Apps manually first so that your apple account have records for them.
    # otherwise Apple Store will refuse to install them.
    # For details, see https://github.com/mas-cli/mas
    masApps = {
      Xcode = 497799835;
      "Reeder 5." = 1529448980;
      Wireguard = 1451685025;
      Bitwarden = 1352778147;
      "AdGuard for Safari" = 1440147259;
    };

    taps = [
    ];

    brews = [
    ];

    casks = [
      "raycast"
      "jordanbaird-ice"
    ];
  };
}
